public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/httrack/
Date: Sun, 14 May 2017 19:44:42 +0000 (UTC)	[thread overview]
Message-ID: <1494791013.9a8e7d8a7acef690f861b084f0f4629924d79780.sping@gentoo> (raw)

commit:     9a8e7d8a7acef690f861b084f0f4629924d79780
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun May 14 18:58:10 2017 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun May 14 19:43:33 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a8e7d8a

www-client/httrack: 3.49.1

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 www-client/httrack/Manifest              |  1 +
 www-client/httrack/httrack-3.49.1.ebuild | 50 ++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/www-client/httrack/Manifest b/www-client/httrack/Manifest
index 855de2b04d9..6676d70e0ea 100644
--- a/www-client/httrack/Manifest
+++ b/www-client/httrack/Manifest
@@ -1,2 +1,3 @@
 DIST httrack-3.48.21.tar.gz 1805754 SHA256 871b60a1e22d7ac217e4e14ad4d562fbad5df7c370e845f1ecf5c0e4917be482 SHA512 1cf98225488e8d9570bb55c48ef1a04dcd48184f2285497c6fb4beaeb28d3ce4751c85783253baa73de1bd21c4bf01b0acd6beede77373c2f622a4124dc19246 WHIRLPOOL 3bc85e0e094dfd5eef20658af0a0681e78105b6f4fcd8a4235b2bc0bf0381d5ab2b2ed206a06acb9ab34c3cf0ffe0664f73ee04f018fdd61476a8e645006a252
 DIST httrack-3.48.22.tar.gz 1834758 SHA256 b2831ad7b48e933959f83a9de8a72bcaa0f8eb87e9453ad85debd50d33a9c48f SHA512 9252aec5fce454b6e95b4bdb89dd60e86eb3f01c4cebffe14e3f9288bec8e295c03f6543f5458293f78be7b9001520100aacb0fe79bb78322e1085b1a7232684 WHIRLPOOL 0e881d7c4050bed3ee7df6ca07a092e45a53ec0671c427bf891d34c798e857f130c37753d00bf6b3ac1882d58b73d3e323ad99bc005a5eff813de5009abefdf1
+DIST httrack-3.49.1.tar.gz 1835077 SHA256 8640ab00cabc9189667cc88829620ce08ac796688f0ef94876350d14fbe7a842 SHA512 b9ad8b50de30389fe0c2b5b52aaf137cedd20ebe1fcc165db2f34aec95f795a420219eac7c9aae2f9c1ba053d646717428bc4d23c84c63a6e2ddd5ea76b02593 WHIRLPOOL a2d2e221e76cb3a6faee2ca93278c09d91ae4da2dac3af93867e7f8599bcd61a3236f2c171f1ec315c93b529efb9d57c2e4e0efe0dbf16d7b4c5ab03925c6f76

diff --git a/www-client/httrack/httrack-3.49.1.ebuild b/www-client/httrack/httrack-3.49.1.ebuild
new file mode 100644
index 00000000000..4018cd13894
--- /dev/null
+++ b/www-client/httrack/httrack-3.49.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION="HTTrack Website Copier, Open Source Offline Browser"
+HOMEPAGE="http://www.httrack.com/"
+SRC_URI="http://mirror.httrack.com/historical/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="libressl static-libs"
+
+RDEPEND=">=sys-libs/zlib-1.2.5.1-r1
+	!libressl? ( dev-libs/openssl:= )
+	libressl? ( dev-libs/libressl )
+	"
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS README greetings.txt history.txt )
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-3.48.13-minizip.patch
+	eapply_user
+}
+
+src_configure() {
+	econf $(use_enable static-libs static) \
+		--docdir="${EPREFIX}"/usr/share/doc/${PF} \
+		--htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+	default
+
+	# Make webhttrack work despite FEATURES=nodoc cutting
+	# all of /usr/share/doc/ away (bug #493376)
+	if has nodoc ${FEATURES} ; then
+		dodir /usr/share/${PF}/
+		mv "${D}"/usr/share/{doc/,}${PF}/html || die
+
+		rm "${D}"/usr/share/${PN}/html || die
+		dosym /usr/share/${PF}/html /usr/share/${PN}/html
+	fi
+
+	find "${ED}" -type f -name '*.la' -delete || die
+}


             reply	other threads:[~2017-05-14 19:44 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-14 19:44 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-27 18:43 [gentoo-commits] repo/gentoo:master commit in: www-client/httrack/ Sebastian Pipping
2024-01-27 17:36 Sam James
2024-01-27 17:36 Sam James
2024-01-27 17:29 Arthur Zamarin
2024-01-27 17:29 Arthur Zamarin
2024-01-27 14:45 Sebastian Pipping
2024-01-27 14:45 Sebastian Pipping
2023-03-13  2:49 Sebastian Pipping
2023-01-31  2:31 Sebastian Pipping
2023-01-18  0:21 Sebastian Pipping
2022-11-29  1:18 Sebastian Pipping
2021-04-30 18:34 Mikle Kolyada
2021-04-16 11:23 Sam James
2021-03-24 16:10 Sebastian Pipping
2021-01-31 20:01 Sebastian Pipping
2020-01-31 18:36 Sebastian Pipping
2019-11-12 18:07 Agostino Sarubbo
2019-10-28  7:41 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2019-10-26 18:16 Sebastian Pipping
2019-10-26 18:16 Sebastian Pipping
2019-03-31 21:05 Sebastian Pipping
2018-04-21 20:56 Sebastian Pipping
2017-08-20 21:39 Sebastian Pipping
2017-08-20 21:33 Sebastian Pipping
2016-08-03 15:03 Sebastian Pipping
2016-02-19 15:33 Fabian Groffen
2015-11-21  7:11 Anthony G. Basile
2015-11-12  9:40 Agostino Sarubbo
2015-11-11 10:05 Agostino Sarubbo
2015-11-11  8:54 Agostino Sarubbo
2015-11-08 16:26 Sebastian Pipping
2015-11-08 16:26 Sebastian Pipping

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1494791013.9a8e7d8a7acef690f861b084f0f4629924d79780.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox